package com.goafanti.common.model;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.goafanti.common.constant.AFTConstants;

public class Admin extends BaseModel implements AftUser {
	private static final long	serialVersionUID	= 1L;

	private String				id;

	/**
	 * 手机号(登录帐号)
	 */
	private String				mobile;

	/**
	 * 用户名
	 */
	private String				name;

	/**
	 * 密码
	 */
	private String				password;

	/**
	 * 邮箱
	 */
	private String				email;

	/**
	 * 创建时间
	 */
	private Date				createTime;

	/**
	 * 员工工号
	 */
	private Integer				number;

	/**
	 * 所在省份
	 */
	private Integer				province;
	/**
	 * 岗位
	 */
	private String				position;

	/**
	 * 上级管理用户ID
	 */
	private String				superiorId;
	
	/**
	 * 上级管理用户名称
	 */
	private String	superior;

	/**
	 * 所在市
	 */
	private Integer				city;
	
	/**
	 * 部门管理
	 */
	private String 				departmentId;
	/**
	 * 用户状态
	 */
	private String 				status;
	/**
	 * 用户编号
	 */
	private String 				userNo;
	/**
	 * 职务
	 */
	private String 				duty;
	
	/**
	 * 地区
	 */
	private String 				district;
	
	/**
	 * 用户头像
	 */
	private String 				headPortraitUrl;	
	
	public String getSuperior() {
		return superior;
	}

	public void setSuperior(String superior) {
		this.superior = superior;
	}

	public String getHeadPortraitUrl() {
		return headPortraitUrl;
	}

	public void setHeadPortraitUrl(String headPortraitUrl) {
		this.headPortraitUrl = headPortraitUrl;
	}

	public String getDistrict() {
		return district;
	}

	public void setDistrict(String district) {
		this.district = district;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getUserNo() {
		return userNo;
	}

	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}

	public String getDuty() {
		return duty;
	}

	public void setDuty(String duty) {
		this.duty = duty;
	}

	public String getSuperiorId() {
		return superiorId;
	}

	public void setSuperiorId(String superiorId) {
		this.superiorId = superiorId;
	}


	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@JsonIgnore
	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}


	public Integer getProvince() {
		return province;
	}

	public void setProvince(Integer province) {
		this.province = province;
	}

	public Integer getCity() {
		return city;
	}

	public void setCity(Integer city) {
		this.city = city;
	}

	public String getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}

	// 创建时间
	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}

	@JsonIgnore
	@Override
	public String getAid() {
		return null;
	}

	@Override
	public Integer getType() {
		return null;
	}
}